SphinxClient::setRankingMode
SphinxClient::setSelect
SphinxClient
PHP Manual

# SphinxClient::setRetries

Set retry count and delay

### Description

public bool SphinxClient::setRetries ( int `$count` [, int `$delay` = 0 ] )

Sets distributed retry count and delay.

On temporary failures searchd will attempt up to `count` retries per agent. `delay` is the delay between the retries, in milliseconds. Retries are disabled by default. Note that this call will not make the API itself retry on temporary failure; it only tells searchd to do so.

### Parameters

`count`

  Number of retries.

`delay`

  Delay between retries, in milliseconds.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.